/* font difinition */

@font-face {
  font-family: "NanumSquareNeo";
  src: url("../assets/fonts/NanumSquareNeoTTF-aLt.woff2");
  font-weight: 400;
}
@font-face {
  font-family: "NanumSquareNeo";
  src: url("../assets/fonts/NanumSquareNeoTTF-bRg.woff2");
  font-weight: 700;
}
@font-face {
  font-family: "NanumSquareNeo";
  src: url("../assets/fonts/NanumSquareNeoTTF-dEb.woff2");
  font-weight: 800;
}
@font-face {
  font-family: "NanumSquareNeo";
  src: url("../assets/fonts/NanumSquareNeoTTF-eHv.woff2");
  font-weight: 900;
}

/* variables */

:root {
  /* color */
  --primary: #ff4f12;
  --greyscale-0: #000000;
  --greyscale-10: #111111;
  --greyscale-20: #313033;
  --greyscale-99: #faf8f9;
  --greyscale-100: #ffffff;

  /* z-index */
  --header: 100;
  --landing-asset-1: 5;
  --landing-asset-2: 4;
  --landing-asset-3: 2;
  --landing-title: 3;
}

/* default style resetting */
body {
  font-family: "NanumSquareNeo";
  font-weight: 400;
  margin: 0;
  scroll-behavior: smooth;
}

p,
h1,
h2,
h3 {
  margin: 0;
}

a {
  all: unset;
  cursor: pointer;
}

ul,
ol {
  padding: 0;
  margin: 0;
  list-style: none;
}

svg {
  display: block;
}

address {
  font-style: normal;
}

strong {
  font-weight: 800;
}

/* typography  */

.typography_primary {
  color: var(--primary);
}

.typography_greyscale-100 {
  color: var(--greyscale-100);
}

.typography_center {
  text-align: center;
}

.typography_400 {
  font-weight: 400;
}

.typography_800 {
  font-weight: 800;
}

.typography_orbitron {
  font-family: "Orbitron";
  font-optical-sizing: auto;
  font-weight: 900;
  font-style: normal;
}

.typography__sub-title {
  font-size: 18px;
  font-weight: 800;
  line-height: 20px;
  letter-spacing: -0.05em;
}

.typography__title {
  font-size: 48px;
  line-height: 64px;
  font-weight: 800;
  letter-spacing: -0.05em;
}

.typography__paragraph {
  font-size: 18px;
  font-weight: 400;
  line-height: 32px;
}

/* icon */

.icon_wrapper {
  position: absolute;
  right: 0;
  display: flex;
  height: 24px;
  gap: 12px;
  justify-content: flex-end;
}

.icon_wrapper > button {
  all: unset;
  cursor: pointer;
  height: 100%;
}

.icon__twitter {
  padding: 3px;
}

.icon__asset {
  height: 100%;
}

.icon__blog {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 24px;
  height: 24px;
  font-size: 8px;
  font-weight: 900;
  letter-spacing: 0px;
  text-align: center;
  border-radius: 50px;
  border: 1px solid var(--greyscale-0);
}

/* header */
header {
  overflow: hidden;
}

.header {
  position: sticky;
  z-index: var(--header);
  top: 0;
  width: 100%;
  background-color: var(--greyscale-10);
  color: var(--greyscale-100);
  transition: linear 0.1s;
}

.header__content {
  display: flex;
  max-width: 1076px;
  width: 100%;
  height: 80px;
  margin: 0 auto;
  justify-content: space-between;
  align-items: center;
}

.header__logo {
  width: 180px;
}

.header__menu {
  display: flex;
  gap: 60px;
  font-size: 16px;
  font-weight: 700;
  letter-spacing: -0.05em;
  line-height: 20px;
}

.header__open_button,
.header__close_button {
  background: transparent;
  border: none;
  width: 24px;
  height: 24px;
  padding: 0;
  display: none;
  cursor: pointer;
}

.header__menu_img,
.header__close_img {
  width: 100%;
  height: 100%;
}

/* toast */
.toast {
  /* visibility: hidden; */
  opacity: 0;
  position: fixed;
  top: 53%;
  left: 50%;
  transform: translate(-50%, 0);
  max-width: 342px;
  width: calc(100% - 32px);
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-radius: 6px;
  background-color: #313033;
  color: #fff;
  font-size: 13px;
  padding: 13px;
  transition: top 0.4s;
}

.toast.active {
  /* visibility: visible; */
  opacity: 100%;
  top: 50%;
}

.close-toast {
  all: unset;
  cursor: pointer;
  margin-left: 16px;
  background: url(../assets/images/close-icon.png) no-repeat;
  width: 24px;
  height: 24px;
}

.toast__text {
  line-height: 20px;
}

/* sections */

.section_dark {
  background-color: var(--greyscale-10);
  color: var(--greyscale-100);
}

.section_light_99 {
  background-color: var(--greyscale-99);
  color: var(--greyscale-0);
}

.section__wrapper {
  max-width: 1440px;
  position: relative;
  margin: 0 auto;
}

.section_primary {
  background-color: var(--primary);
  color: var(--greyscale-100);
}

/* landing section  */

.landing {
  padding-top: 190px;
}

.landing__position {
  position: relative;
}

.landing__pharagraph_wrapper {
  display: flex;
  width: 100%;
  gap: 332px;
  justify-content: center;
  margin-bottom: 32px;
}

.landing__pharagraph_content {
  font-size: 16px;
  line-height: 28px;
}

.landing__pharagraph_content:first-of-type {
  font-size: 24px;
}

.landing__title_wrapper {
  display: flex;
  justify-content: center;
  width: 100%;
  gap: 51px;
  position: relative;
  z-index: var(--landing-title);
}

.landing__title_days {
  width: 100%;
  height: auto;
}

.landing__title_enter {
  width: 100%;
  height: auto;
}

.landing__title_enter {
  color: var(--greyscale-10);
  -webkit-text-stroke: 1px var(--greyscale-100);
}

.landing__paragraph {
  position: absolute;
  top: 432px;
  left: 48px;
}

.landing__image {
  z-index: 0;
  position: relative;
  bottom: 20px;
  max-width: 926px;
  display: block;
  margin: 0 auto;
  width: 80%;
}

/* information section  */

.information {
  display: flex;
  justify-content: flex-end;
  padding: 180px 0 395px 0;
}

.section__divide {
  width: 0;
  height: 0;
  border-bottom: 20vmin solid var(--primary);
  border-left: 100vw solid rgb(0, 0, 0, 0);
  position: absolute;
  bottom: 0;
}

.information__wrapper {
  display: flex;
  flex-direction: column;
  max-width: 924px;
}

.information__lounge_wrapper {
  position: relative;
  width: 924px;
  height: 251px;
  order: 1;
}

.information__lounge__image {
  width: 100%;
  height: 100%;
  position: relative;
  object-fit: cover;
  object-position: center;
}

.information__text_overlay {
  position: absolute;
  opacity: 0.1;
  font-size: 120px;
  font-weight: 900;
  line-height: 140px;
  top: -116px;
  right: 0;
}

.typography__title_wrapper {
  margin-top: 140px;
  padding: 0 180px 0 231px;
  order: 2;
}

.information__content_wrapper {
  margin-top: 70px;
  padding: 0 180px 0 231px;
  order: 3;
}

.information__content {
  max-width: 531px;
  padding: 80px 134px 0 0;
}

.information__content__text {
  padding-bottom: 40px;
  word-break: keep-all;
}

.information__thumbnail {
  position: absolute;
  bottom: 0;
  left: 0;

  max-height: 1080px;
}

.information__thumbnail__image {
  width: 100%;
  height: 100%;
  position: relative;
  object-fit: cover;
  object-position: center;
}

/* history  */

.history {
  display: flex;
  width: calc(100% - 32px);
  max-width: 1044px;
  padding: 180px 16px 236px;
  margin-top: -1px;
  justify-content: space-between;
  flex-direction: column;
}

.history__title_wrapper {
  margin-bottom: 150px;
}

.history__content {
  display: flex;
  flex-wrap: wrap;
  gap: 140px;
}

.history__content_wrapper {
  width: 220px;
  padding-top: 24px;
}
.history__content_wrapper::before {
  content: "";
  display: block;
  height: 2px;
  width: 220px;
  margin-bottom: 24px;
  background: var(--greyscale-100);
}

.history__graph {
  padding-top: 40px;
  min-width: 360px;
}

.history__year {
  font-size: 32px;
  font-weight: 800;
  line-height: 42px;
  letter-spacing: -0.05em;
}

.history__year__content > li {
  white-space: nowrap;
}

.history__year__content {
  padding-top: 8px;
  font-size: 18px;
  font-weight: 400;
  line-height: 28px;
}

/* label */

.label {
  width: calc(100% - 32px);
  max-width: 1076px;
  padding: 140px 16px 180px;
}

.label__list {
  display: flex;
  flex-direction: column;
  padding-top: 80px;
  gap: 166px;
}

.lable__content_header {
  display: flex;
}

.label__title {
  display: flex;
  align-items: center;
}

.label__title > img {
  height: 60px;
}

.label__content__header__title {
  font-size: 24px;
  font-weight: 900;
  line-height: 20px;
  margin-left: 8px;
}

.label__content__description_wrapper {
  position: relative;
  flex: 1;
  margin-left: 20px;
}

.label__content__description {
  padding-top: 16px;
  font-size: 16px;
  font-weight: 400;
  line-height: 28px;
  text-align: right;
  margin-top: 36px;
  border-top: 1px solid var(--greyscale-0);
}

.label__content__image_wrapper {
  display: flex;
  padding-top: 66px;
  gap: 10px;
}

.label__content__image_wrapper > li {
  border-radius: 8px;
  overflow: hidden;
  cursor: pointer;
  flex: 1;
}

.label__content__image {
  position: relative;
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 2 / 3;
}

/* popup */
.label__popup_wrapper {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  height: 100vh;
  z-index: var(--header);
  background: rgb(0, 0, 0, 0.7);
}

.label__popup_wrapper.popup_open {
  display: flex;
  justify-content: center;
  align-items: center;
}

.label__popup_image {
  width: auto;
  max-width: calc(100% - 60px);
  max-height: 720px;
  height: calc(100% - 32px);
  padding: 40px 0;
  margin: 0 auto;
  object-fit: contain;
}

/* location */

.location {
  width: calc(100% - 32px);
  max-width: 1076px;
  padding: 140px 16px 160px;
}

.location__text_wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding-top: 40px;
}

.location__text__name {
  font-size: 32px;
  line-height: 42px;
  letter-spacing: -0.05em;
  text-align: left;
}

.location__address {
  font-size: 24px;
  font-weight: 700;
  line-height: 32px;
  letter-spacing: -0.05em;
  text-align: right;
  padding-bottom: 24px;
}

.location__contact {
  display: flex;
  gap: 16px;
  font-size: 18px;
  font-weight: 400;
  line-height: 32px;
  letter-spacing: -0.05em;
  text-align: left;
}

/* kakaomap */

.root_daum_roughmap {
  width: 100% !important;
  height: 360px;
  margin-top: 60px !important;
}

.root_daum_roughmap .wrap_controllers {
  display: none;
}

/* footer */
footer {
  padding: 68px 16px 64px;
}

.footer {
  max-width: 1076px;
}

.footer__logo {
  width: 154px;
  margin-right: 211px;
}

.footer__content_wrapper {
  display: flex;
  align-items: flex-start;
}

.footer__detail_wrapper {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-row-gap: 15px;
}

.footer__title {
  color: var(--primary);
  font-weight: 700;
  font-size: 10px;
  line-height: 20px;
  letter-spacing: -5%;
}

.footer__pharagraph_content {
  font-size: 16px;
  line-height: 28px;
  white-space: nowrap;
  text-decoration: none;
}

.footer__copyright {
  font-weight: 400;
  font-size: 12px;
  line-height: 20px;
  margin-top: 60px;
  text-align: center;
}

/* contact */

.contact {
  padding: 130px 0 140px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
}

.contact__divide {
  width: 0;
  height: 0;
  border-bottom: 60px solid var(--greyscale-10);
  border-right: 100vw solid var(--greyscale-100);
}

.contact__content__title {
  font-size: 18px;
  line-height: 28px;
}

.contact__content__description {
  list-style: decimal;
  font-weight: 400;
  font-size: 18px;
  line-height: 28px;
  padding-left: 16px;
  margin-bottom: 40px;
}

.contact__content_reference {
  font-weight: 400;
  font-size: 15px;
  line-height: 28px;
}

.contact__content__detail:first-child {
  margin-bottom: 50px;
}

.contact__label_title {
  font-size: 18px;
  font-weight: 800;
  line-height: 24px;
}

.contact__label_title::before {
  content: "";
  float: left;
  display: block;
  width: 2px;
  height: 24px;
  margin-right: 10px;
  background-color: #ff4f12;
}

.contact__label_title > a {
  font-weight: 400;
}

.contact__label_mail {
  padding-left: 12px;
  font-size: 18px;
  line-height: 28px;
}

.contact__content_detail_list {
  display: flex;
  width: 655px;
  gap: 24px;
  flex-wrap: wrap;
}

.contact__content_detail_list > div:first-child {
  width: 100%;
}

.contact__content__detail_title {
  font-weight: 800;
  font-size: 24px;
  line-height: 28px;
  margin-bottom: 16px;
}

/* media query */
@media (min-width: 1081px) {
  .landing__title_days {
    max-width: 440px;
  }

  .landing__title_enter {
    max-width: 553px;
  }
}

@media (max-width: 1080px) {
  .typography__title {
    /* max-width: 175px; */
    font-size: 32px;
    line-height: 32px;
  }

  .typography__sub-title {
    font-size: 14px;
    margin-bottom: 8px;
  }

  .typography__paragraph {
    font-size: 15px;
    line-height: 24px;
  }

  /* header */

  header.menu-on {
    overflow: visible;
  }

  .header__content {
    height: 64px;
    width: calc(100% - 32px);
  }

  .header__logo {
    width: 154px;
  }

  .header__open_button {
    display: block;
  }

  .header__close_button {
    position: fixed;
    top: 16px;
    right: 16px;
    display: block;
  }

  .header__popup_menu {
    position: fixed;
    width: 100%;
    top: 0;
    right: -1080px;
    height: 100vh;
    display: flex;
    justify-content: center;
    background: var(--greyscale-0);
    opacity: 0.9;
    transform: translate(0, 0);
    transition: transform 1s;
    transition-delay: 0s;
  }

  .header__popup_menu.menu-on {
    transform: translate(-1080px, 0);
  }

  .header__menu {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0;
    color: var(--greyscale-100);
    width: 232px;
  }

  .header__menu > li {
    cursor: pointer;
    width: 100%;
    text-align: center;
    border-bottom: 1px solid rgb(255, 255, 255, 0.5);
  }

  .header__menu > li:last-child {
    border-bottom: none;
  }

  .header__menu > li > a {
    display: block;
    padding: 24px;
  }

  /* landing section */

  .landing {
    padding-top: 40px;
  }

  .landing__title_wrapper {
    flex-direction: column;
    align-items: center;
    gap: 16px;
    margin: 0 auto;
  }

  .landing__pharagraph_content:first-child {
    font-size: 12px;
  }
  .landing__pharagraph_content:last-child {
    display: none;
  }

  .landing__title_days {
    max-width: 440px;
    width: calc(100% - 90px);
  }

  .landing__title_enter {
    max-width: 553px;
    width: calc(100% - 43px);
  }

  /* information */
  .information {
    padding: 80px 0 0;
    display: block;
  }

  .information {
    margin: 0 auto;
  }

  .information__lounge_wrapper {
    margin: 0 auto;
    width: 100%;
    order: 2;
  }

  .typography__title_wrapper {
    order: 1;
    margin-top: 0;
    padding: 0 16px;
    margin-bottom: 64px;
  }

  .information__text_overlay {
    top: -37px;
    left: 0;
    font-weight: 700;
    font-size: 42px;
    line-height: 42px;
  }

  .information__content_wrapper {
    padding: 40px 16px;
    margin: 0;
  }

  .information__thumbnail__image {
    display: none;
  }

  /* history */
  .history {
    padding: 61px 16px 80px;
  }

  .history__title_wrapper {
    margin-bottom: 40px;
    max-width: 175px;
  }

  .history__title_wrapper > .typography__title {
    line-height: 44.8px;
  }

  .history__content_wrapper::before {
    height: 1px;
    width: 110px;
    margin-bottom: 16px;
  }

  .history__content {
    gap: 40px;
  }

  .history__year {
    font-size: 24px;
    line-height: 21px;
  }

  .history__year__content {
    font-size: 15px;
    line-height: 21px;
    padding-top: 16px;
  }

  /* label */
  .label {
    padding: 80px 16px;
  }
  .label__list {
    gap: 80px;
  }
  .label__title > img {
    max-height: 30px;
  }

  .lable__content_header {
    flex-direction: column;
  }

  .label__content__description_wrapper {
    margin: 0;
  }

  .label__content__description {
    margin-top: 16px;
    font-size: 15px;
    line-height: 21px;
    letter-spacing: 0em;
    text-align: left;
  }

  .icon_wrapper {
    top: -20px;
  }

  .label__content__image_wrapper {
    flex-wrap: wrap;
    justify-content: center;
    padding-top: 32px;
    gap: 8px;
  }

  .label__content__image_wrapper > li {
    flex: auto;
    width: calc(100% / 4);
  }

  /* location */
  .location {
    padding: 80px 16px 45px;
  }

  .location__text_wrapper {
    flex-direction: column;
  }

  .location__text__name {
    font-size: 24px;
    line-height: 33.6px;
  }

  .location__address {
    text-align: left;
    font-size: 18px;
    font-weight: 700;
    line-height: 25px;
    margin-top: 16px;
  }

  .location__contact {
    flex-direction: column;
    gap: 0;
    font-size: 16px;
    line-height: 32px;
  }

  /* contact */
  .contact {
    padding: 80px 16px;
    justify-content: normal;
  }

  .contact__title_wrapper {
    flex: 1;
    margin-bottom: 40px;
  }

  .contact__content__title {
    font-size: 15px;
    line-height: 21px;
    margin-bottom: 10px;
  }

  .contact__content__description {
    font-size: 15px;
    line-height: 21px;
  }

  .contact__content_reference {
    font-size: 13px;
    line-height: 18.2px;
  }

  .contact__content__detail {
    align-items: flex-start;
    flex-direction: column;
  }

  .contact__content__detail:first-child {
    margin-bottom: 40px;
  }

  .contact__content_detail_list {
    flex-direction: column;
  }

  .contact__label__wrapper:first-child {
    width: 100%;
  }

  .contact__label_title {
    font-size: 15px;
    line-height: 16px;
  }

  .contact__label_title::before {
    height: 16px;
  }

  .contact__label_mail {
    font-size: 15px;
  }

  .contact__content_detail_list {
    width: auto;
  }

  /* footer */
  footer {
    padding: 20px 16px 64px;
  }

  .footer__content_wrapper {
    flex-direction: column;
  }

  .footer__detail_wrapper {
    margin-top: 24px;
    grid-template-columns: 1fr 1fr;
  }

  .footer__pharagraph_content {
    white-space: normal;
  }
}
